# -*- coding: utf-8 -*-
"""
Created on Sat Sep 21 05:35:40 2019

@author: Ikeda Kenji
"""

import pandas as pd
import os
import numpy as np
import matplotlib.pyplot as plt


pattern_count_threshold = 10


os.chdir(r"E:\rescue")
##データの結合
#data01 = pd.read_csv("acc_sharebike_trip_toyosu2018.csv", encoding = "shift-JIS")
#data011 = data01.loc[:,"dep_sharebike_lat":]
#data02 = pd.read_csv("egr_sharebike_trip_toyosu2018.csv", encoding = "shift-JIS")
#data022 = data02.loc[:,"dest_sharebike_lat":]
#
#data_sharebike = pd.concat([data011, data022], axis=1)
#data_sharebike = data_sharebike.reset_index(drop = True)
#
#data03 = pd.read_csv("1_3900_bus_trip_toyosu2018.csv", encoding = "shift-JIS")
#data04 = pd.read_csv("3900_bus_trip_toyosu2018.csv", encoding = "shift-JIS")
#
#data_bus = pd.concat([data03, data04])
#data_bus = data_bus.reset_index(drop = True)

df = pd.read_csv("rescue_egr_time_cost_sharebike_trip_toyosu2018.csv",encoding = "shift-JIS")

df1 = df[~(df["sharebicycle_ttime"] == -9999)]###変える
#df2 = df1[~(df1["bus_ttime"] == -999)]

#df7 = df6[df6["distance"] > 10]

df2 = df1.reset_index(drop = True)

#df2 = df2[~((df2["移動手段"] == "シェアサイクル") & (df2["sharebicycle_ttime"] == -1))]    

###電車の旅行時間の作成(イグレス+電車+アクセス)###
df2["sharebicycle_ttime_all"] = df2["sharebicycle_ttime"]+df2["acc_sharebike_walk_ttime"]+df2["egr_sharebike_walk_ttime"]

df2 = df2.reset_index(drop = True)

walk_bicycle_ttime_del_row_list = []

for key,row in df2.iterrows():
    
    if row["移動手段"] == "シェアサイクル":
        
        threshold_value = row["トリップ時間_秒"]/(row["sharebicycle_ttime_all"]*60)###変える###
        
#    elif row["移動手段"] == "徒歩":
#        
#        threshold_value = row["トリップ時間_秒"]/(row["walk_ttime"]*60)
#        
    else:
        
        threshold_value = 1
        
    if ((threshold_value < 0.5) | (threshold_value > 2.0)):
        
        walk_bicycle_ttime_del_row_list.append(key)


df3 = df2.drop(df2.index[walk_bicycle_ttime_del_row_list])

 
df_walk = df2[df2["移動手段"] == "シェアサイクル"]
df_walk_clean = df3[df3["移動手段"] == "シェアサイクル"]

#plt.scatter(df_walk["トリップ時間_秒"], (df_walk["sharebicycle_ttime_all"]*60))
#plt.scatter(df_walk_clean["トリップ時間_秒"], (df_walk_clean["sharebicycle_ttime_all"]*60))

df3.to_csv("rescue_sharebike_cleaned_trip_toyosu2018.csv", index = False, encoding = "shift-jis")
   
##DF = pd.Series(result_list)
