# -*- coding: utf-8 -*-
"""
Created on Fri Sep 20 11:11:37 2019

@author: Ikeda Kenji
"""

import pandas as pd
import os
import numpy as np
import matplotlib.pyplot as plt


pattern_count_threshold = 10


os.chdir(r"C:\Users\Ikeda Kenji\Desktop\夏の学校2019")
##データの結合
data01 = pd.read_csv("acc_sharebike_trip_toyosu2018.csv", encoding = "shift-JIS")
data011 = data01.loc[:,"dep_sharebike_lat":]
data02 = pd.read_csv("egr_sharebike_trip_toyosu2018.csv", encoding = "shift-JIS")
data022 = data02.loc[:,"dest_sharebike_lat":]

data_sharebike = pd.concat([data011, data022], axis=1)
data_sharebike = data_sharebike.reset_index(drop = True)

data03 = pd.read_csv("1_3900_bus_trip_toyosu2018.csv", encoding = "shift-JIS")
data04 = pd.read_csv("3900_bus_trip_toyosu2018.csv", encoding = "shift-JIS")

data_bus = pd.concat([data03, data04])
data_bus = data_bus.reset_index(drop = True)

df = pd.concat([data_bus,data_sharebike], axis=1)

df1 = df[~(df["bus_ttime"] == -9999)]###変える
#df2 = df1[~(df1["bus_ttime"] == -999)]

#df7 = df6[df6["distance"] > 10]

df2 = df1.reset_index(drop = True)

df2 = df2[~((df2["移動手段"] == "バス") & (df2["bus_ttime"] == -1))]    

###電車の旅行時間の作成(イグレス+電車+アクセス)###
df2["bus_ttime_all"] = df2["acc_bus_walk_ttime"]+df2["egr_bus_walk_ttime"]+df2["bus_ttime"]

df2 = df2.reset_index(drop = True)

walk_bicycle_ttime_del_row_list = []

for key,row in df2.iterrows():
    
    if row["移動手段"] == "バス":
        
        threshold_value = row["トリップ時間_秒"]/(row["bus_ttime_all"]*60)###変える###
        
#    elif row["移動手段"] == "徒歩":
#        
#        threshold_value = row["トリップ時間_秒"]/(row["walk_ttime"]*60)
#        
    else:
        
        threshold_value = 1
        
    if ((threshold_value < 0.5) | (threshold_value > 2.0)):
        
        walk_bicycle_ttime_del_row_list.append(key)


df3 = df2.drop(df2.index[walk_bicycle_ttime_del_row_list])

 
df_walk = df2[df2["移動手段"] == "バス"]
df_walk_clean = df3[df3["移動手段"] == "バス"]

#plt.scatter(df_walk["トリップ時間_秒"], (df_walk["bus_ttime_all"]*60))
#plt.scatter(df_walk_clean["トリップ時間_秒"], (df_walk_clean["bus_ttime_all"]*60))

df3.to_csv("bus_cleaned_trip_toyosu2018.csv", index = False, encoding = "shift-jis")
   
##DF = pd.Series(result_list)
##
##DF2 = DF.drop(DF.index[del_row_list])
#
##trip_pattern = DF2.value_counts()
#
##valid_trip_pattern = trip_pattern[trip_pattern >= pattern_count_threshold]
#
##valid_trip_pattern.to_csv("valid_trip_pattern.csv", encoding = "shift-JIS")
#    
#   
#df9 = pd.read_csv(r'car_trip_toyosu2018.csv', engine = "python")
#
#df10 = df9[~(df9["car_ttime"] == -9999)]
#
#df11 = df10[df10["car_distance"] > 30]
#
#df11 = df11.reset_index(drop = True)
#
#car_taxi_ttime_del_row_list = []
#
#for key,row in df11.iterrows():
#    
#    if row["移動手段"] == "乗用車":
#        
#        threshold_value = row["トリップ時間_秒"]/(row["car_ttime"]*60)
#        
#    elif row["移動手段"] == "タクシー":
#        
#        threshold_value = row["トリップ時間_秒"]/(row["car_ttime"]*60)
#        
#    else:
#        
#        threshold_value = 1
#        
#    if ((threshold_value < 0.5) | (threshold_value > 2.0)):
#        
#        car_taxi_ttime_del_row_list.append(key)
#
#
#df12 = df11.drop(df11.index[car_taxi_ttime_del_row_list])
#
##df_car_clean = df12[df12["移動手段"] == "タクシー"]
##
##plt.scatter(df_car_clean["トリップ時間_秒"], (df_car_clean["car_ttime"]*60))
#
##df12.to_csv("car_cleaned_trip_toyosu2018.csv", encoding = "shift-jis", index = False)
#
#
#df13 = pd.read_csv(r"acc_nearby_trip_toyosu2018.csv", engine = "python")
#
#df14 = df13[]


